local LibStub = LibStub
local AceAddon = LibStub("AceAddon-3.0")
local AceLocale = LibStub("AceLocale-3.0")
local AceDBOptions = LibStub("AceDBOptions-3.0")
local AceConfig = LibStub("AceConfig-3.0")
local AceConfigDialog = LibStub("AceConfigDialog-3.0")

local ControlPanel = AceAddon:GetAddon("ControlPanel")
local ControlPanel_Options = AceAddon:NewAddon("ControlPanel_Options")
local L = AceLocale:GetLocale("ControlPanel_Options")
local LSM = LibStub("LibSharedMedia-3.0")
--------------------------------------------------------------------------------------

local order = 0
local function get_order()
	local temp = order
	order = order +1
	return temp
end

local options =
{
	type = "group",
	order = get_order(),
	name = "ControlPanel",
	args =
	{
		Global =
		{
			order = get_order(),
			name = L["Global"],
			desc = L["global_desc"],
			type = "group",
			args =
			{
				
			}
		},
		
	},
}

local optionsFrames = {}
function ControlPanel_Options:OnInitialize()
	options.args.profile = AceDBOptions:GetOptionsTable(ControlPanel.db)
	AceConfig:RegisterOptionsTable("ControlPanel", options, nil)
	optionsFrames.general = AceConfigDialog:AddToBlizOptions("ControlPanel", "ControlPanel")
	ControlPanel.db.RegisterCallback(ControlPanel, "OnProfileChanged", "UpdateDB")
	ControlPanel.db.RegisterCallback(ControlPanel, "OnProfileCopied", "UpdateDB")
	ControlPanel.db.RegisterCallback(ControlPanel, "OnProfileReset", "UpdateDB")
end